<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bundesliga Resultate</title>
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            padding: 8px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }
        th {
            background-color: #f2f2f2;
        }
    </style>
</head>
<body>
    <h2>Bundesliga Resultate</h2>
    <table>
        <thead>
            <tr>
                <th>Heim</th>
                <th>Gast</th>
                <th>Ergebnis</th>
            </tr>
        </thead>
        <tbody id="table-body">
            <!-- Hier werden die Daten der Bundesliga-Tabelle dynamisch eingefügt -->
        </tbody>
    </table>

    <script>
        function loadBundesligaResults() {
            var xhr = new XMLHttpRequest();
            xhr.open("GET", "https://api.openligadb.de/getmatchdata/bl1/2023/28", true);
            xhr.onreadystatechange = function () {
                if (xhr.readyState === 4 && xhr.status === 200) {
                    var data = JSON.parse(xhr.responseText);
                    displayResults(data);
                }
            };
            xhr.send();
        }

        function displayResults(data) {
            var tableBody = document.getElementById("table-body");
            tableBody.innerHTML = ""; // Tabelle leeren
            data.forEach(function (match) {
                var row = "<tr>" +
                    "<td>" + match.Team1.TeamName + "</td>" +
                    "<td>" + match.Team2.TeamName + "</td>" +
                    "<td>" + match.MatchResults[0].PointsTeam1 + " : " + match.MatchResults[0].PointsTeam2 + "</td>" +
                    "</tr>";
                tableBody.innerHTML += row;
            });
        }

        // Die Funktion zum Laden der Ergebnisse aufrufen, wenn die Seite geladen ist
        window.onload = function () {
            loadBundesligaResults();
        };
        function vote(choice) {
            fetch('/survey', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify({ choice: choice })
            })
            .then(response => {
                if (response.ok) {
                    console.log('Stimme abgegeben:', choice);
                } else {
                    console.error('Fehler beim Senden der Stimme:', response.statusText);
                }
            })
            .catch(error => {
                console.error('Fehler beim Senden der Stimme:', error);
            });
        }
    </script>
</body>
</html>

<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Umfrage</title>
</head>
<body>
    <h2>Umfrage: Daumen hoch oder runter?</h2>
    <button id="thumb-up-btn" onclick="vote('up')">👍</button>
    <button id="thumb-down-btn" onclick="vote('down')">👎</button>

    <script>
        function vote(choice) {
            // Hier kann JavaScript verwendet werden, um die Benutzerstimme an das Backend zu senden
            // Dies könnte beispielsweise über eine AJAX-Anfrage an den Umfrage-API-Endpunkt erfolgen
            console.log('Stimme abgegeben:', choice);
        }
    </script>
</body>
</html>